<template>
	<view>
		<citySelect :getCity="getCity"></citySelect>	
	</view>
</template>

<script>
	import citySelect from '../../components/bazaar-city_list/index.vue';
	export default {
		components:{
			citySelect
		},
		data() {
			return {
				
			}
		},
		methods: {
			getCity({
				city
			}){
				console.log('get city -------------- 1211414413212')
				//city 城市名称
				//name 定位名称
				if(city.city == undefined){
					var add = city
				}else if(city.city != undefined){
					var add = city.city
				}
				let pages = getCurrentPages()
				console.log(pages.length,' get city pages length')
				let nowpage = pages[pages.length - 1]
				let prevpage = pages[pages.length - 2]
				prevpage.$vm.city = add
				uni.navigateBack({
					delta:1
				})
			}
		}
	}
</script>

<style>

</style>
